!	GRAPHICS extensions.

interface	g_init(0) = 50,
		g_end(0),
		g_event(2),	! event struct, block flag
		g_wait(1),	! Not yet implemented
		g_clear(1),	! mode
		g_point(3),	! x, y, mode
		g_line(5),	! x, y, dx, dy, mode
		g_box(5),	! x, y, dx, dy, mode
		g_sync(0),
		g_reshaped(0),
		g_putc(5),	! x, y, scale, mode, char
		g_puts(5),	! x, y, scale, mode, string
		g_fontsize(2),	! scale, vector[2] holding x/y
		g_putv(5),	! x, y, scale, mode, vector
		g_copyfont(2);	! vector, buffer

struct event = e_x, e_y, e_buttons, e_key;

const	GCLEAR = 0, GSET = 1, GOR = 2, GXOR = 3;

const	XLIM = 16000, YLIM = 12000;
